#ifndef VARBIT_HPP_INCLUDED
#define VARBIT_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Varbit : public CacheableNode
    {
        public:
            Varbit();
            Varbit(const void* Obj);
            Varbit(const Varbit& V);
            static Class GetClass();

            std::int32_t GetLSB() const;
            std::int32_t GetMSB() const;
            std::int32_t GetSettingID() const;

    };
}

#endif // VARBIT_HPP_INCLUDED
